package org.dromara.zhishu.mapper;

import org.dromara.zhishu.domain.WhiteList;
import org.dromara.zhishu.domain.vo.WhiteListVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 白名单Mapper接口
 *
 * @author yxy
 * @date 2025-06-25
 */
public interface WhiteListMapper extends BaseMapperPlus<WhiteList, WhiteListVo> {

    List<WhiteListVo> selectAll();

    List<WhiteListVo> selectByIp(String ip);

    void deleteAll();
}
